<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.ReagentConsumableInventoryMapper">

  <resultMap id="reagentConsumableInventoryMap" type="digital.laboratory.platform.reagent.entity.ReagentConsumableInventory">
    <id property="reagentConsumableInventoryId" column="reagent_consumable_inventory_id"/>
    <result property="brand" column="brand"/>
    <result property="category" column="category"/>
    <result property="deviationOrUncertainty" column="deviation_or_uncertainty"/>
    <result property="instructionBookId" column="instruction_book_id"/>
    <result property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="specificationAndModel" column="specification_and_model"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="standardValueOrPurity" column="standard_value_or_purity"/>
    <result property="technicalParameter" column="technical_parameter"/>
    <result property="totalQuantity" column="total_quantity"/>
    <result property="species" column="species"/>
    <result property="packagedCopies" column="packaged_copies"/>

  </resultMap>
</mapper>
